# Ecuador

### Required fields

| Field                  | Format                                                                                                                 | Description                                         |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------- |
| `login`                | String                                                                                                                 | Cashouts login                                      |
| `pass`                 | String                                                                                                                 | Cashouts pass                                       |
| `external_id`          | String (max length: 100)                                                                                               | Transaction's ID on your end                        |
| `document_id`          | See [document validations](/guides/knowledge-base/countries-specifications.md#documents-validations)                   | Beneficiary's document ID                           |
| `country`              | `EC`                                                                                                                   | The country codes are in ISO 3166-1 alpha-2 format. |
| `currency`             | `USD`                                                                                                                  | The currencies are in ISO 4217 format.              |
| `amount`               | Number with up to 2 decimals                                                                                           | Cashout amount                                      |
| `bank_code`            | See [bank codes](/guides/cashouts/countries-validations/american-countries/ecuador.md#bank-codes)                      | Code specifying the beneficiary's bank              |
| `bank_account`         | See [validations below](/guides/cashouts/countries-validations/american-countries/ecuador.md#bank-account-validations) | Beneficiary's bank account                          |
| `account_type`         | See [account type codes](/guides/cashouts/countries-validations/american-countries/ecuador.md#account-types)           | Beneficiary's bank account type                     |
| `beneficiary_name`     | String (max length: 100)                                                                                               | Beneficiary's name                                  |
| `beneficiary_lastname` | String (max length: 100)                                                                                               | Beneficiary's last name                             |

### `bank_account` validations

<table><thead><tr><th width="134.9765625">Bank name</th><th align="center">Bank code</th><th width="208.328125">Format</th><th>Regex</th><th>Example</th></tr></thead><tbody><tr><td>All</td><td align="center">-</td><td>Numeric between 5 and 20 digits</td><td><code>^\d{5,20}$</code></td><td>1234567890</td></tr><tr><td>PayPhone</td><td align="center">10007</td><td>593 (Ecuador Country code) + 9 digits<br>Cellphone</td><td><code>^\d{5,12}$</code></td><td>593985512345</td></tr></tbody></table>

### `account_type`

The `account_type` is specified with only one character as described below.

| account\_type | Description       |
| :-----------: | ----------------- |
|    **`C`**    | Checkings account |
|    **`S`**    | Savings account   |

### `document_id` validations

<table><thead><tr><th width="166.68359375">Document type</th><th>Format</th></tr></thead><tbody><tr><td>CC</td><td>Numeric. Length between 9 and 10 inclusive</td></tr><tr><td>DL</td><td>Numeric. Length 10</td></tr><tr><td>RUC</td><td>Numeric. Length between 12 and 13 inclusive and ends with 001</td></tr><tr><td>PASS</td><td>Alphanumeric. Length between 8 and 13 inclusive and ends with 001</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="Bank" %}

```json
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "EC",
    "currency": "USD",
    "amount": 100,
    "document_id": "0809283023",
    "bank_account": "56687456387234",
    "bank_code": "001",
    "account_type": "C",
    "beneficiary_name": "John",
    "beneficiary_lastname": "Smith",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}

{% tab title="PayPhone" %}

```json
{
  "login": "xxxxxxxx",
  "pass": "xxxxxxxx",
  "country": "EC",
  "amount": 5,
  "currency": "USD",
  "external_id": "300000000001",
  "cashout_type": "BANK",
  "document_id": "***********",
  "beneficiary_name": "Test",
  "beneficiary_lastname": "Test",
  "email": "",
  "phone": "",
  "notification_url": "",
  "bank_code": 10007,
  "bank_branch": "",
  "bank_account": "593985512345",
  "account_type": "C",
  "document_type": "CC",
  "address": ""
}
```

{% endtab %}
{% endtabs %}

### Bank codes

{% hint style="success" %}

### Bank code retrieval via API

For the full and most up-to-date list of banks and its codes, please check this endpoint <a href="/spaces/VNE8t2FopKfzgQzTjlBb/pages/kD1eu0r7kuzS2nEDm1N9" class="button primary">Get bank codes</a>
{% endhint %}

| Bank                                 | Code |
| ------------------------------------ | ---- |
| Banco Pichincha C.A.                 | 010  |
| Banco de Guayaquil S.A               | 017  |
| Banco City Bank                      | 024  |
| Banco Machala                        | 025  |
| Banco de Loja                        | 029  |
| Banco del Pacifico                   | 030  |
| Banco Internacional                  | 032  |
| Banco Amazonas                       | 034  |
| Banco del Austro                     | 035  |
| Produbanco / Promerica               | 036  |
| Banco Bolivariano                    | 037  |
| Comercial de Manabi                  | 039  |
| Banco General Ruminahui S.A.         | 042  |
| Banco del Litoral S.A.               | 043  |
| Banco Solidario                      | 059  |
| Banco Procredit S.A.                 | 060  |
| Banco Capital                        | 061  |
| Banco Desarrollo de Los Pueblos S.A. | 065  |
| Banecuador B.P.                      | 066  |
| Banco Delbank S.A.                   | 201  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/guides/cashouts/countries-validations/american-countries/ecuador.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
